### Method

# GLib AsyncQueue try_pop_unlocked

#### Declaration

    gpointer
    g_async_queue_try_pop_unlocked (
      GAsyncQueue* queue
    )

#### Description

Tries to pop data from the `queue`. If no data is available, `NULL` is returned.

This function must be called while holding the `queue`‘s lock.

#### Return value

Type: `gpointer`

Data from the queue or `NULL`, when no data is available immediately.

The data is owned by the instance.
The return value can be `NULL`.